aboutsummaryrefslogtreecommitdiff
path: root/zsh
diff options
context:
space:
mode:
Diffstat (limited to 'zsh')
-rw-r--r--zsh/zshrc3
-rw-r--r--zsh/zshrc.d/keep.zsh3
2 files changed, 4 insertions, 2 deletions
diff --git a/zsh/zshrc b/zsh/zshrc
index fa4186d4..2977c4d9 100644
--- a/zsh/zshrc
+++ b/zsh/zshrc
@@ -17,6 +17,7 @@ SAVEHIST=$((1 << 12))
# Load Zsh-specific startup files
for sh in "$HOME"/.zshrc.d/*.zsh ; do
- [[ -e $sh ]] && source "$sh"
+ [[ -e $sh ]] || continue
+ source "$sh"
done
unset -v sh
diff --git a/zsh/zshrc.d/keep.zsh b/zsh/zshrc.d/keep.zsh
index 8dfc5f29..59696301 100644
--- a/zsh/zshrc.d/keep.zsh
+++ b/zsh/zshrc.d/keep.zsh
@@ -142,6 +142,7 @@ EOF
# Load any existing scripts in zshkeep
for zshkeep in "${ZSHKEEP:-"$HOME"/.zshkeep.d}"/*.zsh(N) ; do
- [[ -e $zshkeep ]] && source "$zshkeep"
+ [[ -e $zshkeep ]] || continue
+ source "$zshkeep"
done
unset -v zshkeep